TransactionRolledbackException (Java SE 10 & JDK 10 )
Keywords: javax.transaction.TransactionRolledbackException class

Module java.transaction
Package javax.transaction

## Class TransactionRolledbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.transaction.TransactionRolledbackException

- All Implemented Interfaces:
    `Serializable`

      public class TransactionRolledbackException
      extends RemoteException

  This exception indicates that the transaction associated with processing of the request has been rolled back, or marked to roll back. Thus the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would be fruitless
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields declared in class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionRolledbackException()` | Constructs a `TransactionRolledbackException`.
    `TransactionRolledbackException​(String msg)` | Constructs a `TransactionRolledbackException`.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### TransactionRolledbackException

          public TransactionRolledbackException()

      Constructs a `TransactionRolledbackException`.

    - #### TransactionRolledbackException

          public TransactionRolledbackException​(String msg)

      Constructs a `TransactionRolledbackException`.
      Parameters:
        `msg` - the detail message